--[[
File Author: Erik L. Vonderscheer
File Revision: 43e55df
File Date: 2010-10-19T06:46:25Z
]]--
local debug = false
--[===[@debug@
debug = true
--@end-debug@]===]

local L =  LibStub("AceLocale-3.0"):NewLocale("TradeFilter3", "enUS", true)
if L then
L[" Repeats Blocked"] = true
L["#RPT"] = "Repeats"
L["#RPTD"] = "Number of repeats before filtered."
L["0 Repeats Blocked"] = true
L["BCF"] = "Base Channel Filters"
L["BCFD"] = "Base Channel Filters are only applied to the General/LFG/Special Channel, no other channels are affected by this list."
L["BG"] = "Battleground Filters"
L["BGC"] = "Filter Battleground"
L["BGCD"] = "Select this to apply filter to Battleground."
L["BGD"] = "Battleground Filters are only applied to the Battleground, no other channels are affected by this list."
L["BLBYPASS"] = "Black List Bypass"
L["BLBYPASSD"] = "Allow strings that match a pattern in your whitelist to bypass the Black List filter."
L["BLE"] = "Enable Blacklist Checking"
L["BTF"] = "Trade Channel Filters"
L["BTFD"] = "Trade Channel Filters are only applied to the Trade Channel, no other channels are affected by this list."
L["CEPM"] = "Current Exempt Party Members"
L["CFM"] = "Checking for Match:"
L["Current Exempt List"] = true
L["DEBUGGING"] = "Debugging Output Options"
L["DISABLED"] = "|cffff8080Disabled|r"
L["DUEL_WINNER_KNOCKOUT"] = "%1$s has defeated %2$s in a duel"
L["DUEL_WINNER_RETREAT"] = "%2$s has fled from %1$s in a duel"
L["Debug"] = true
L["DebugChecking"] = "Strip 'Checking For Match'"
L["DebugCheckingD"] = "Strip 'Checking For Match' from debug output."
L["DebugDesc"] = "Enable Debugging output to DEBUG frame"
L["EBL"] = "Edit Black List"
L["ENABLED"] = "|cff00ff00Enabled|r"
L["EWL"] = "Edit White List"
L["EditFilter"] = "Edit Filter Expressions"
L["EditFilterD"] = "Edit Filter Expressions to be matched in Trade or Base Channel."
L["EditFilterGD"] = "Edit Filter Expressions to be matched in Trade or Base Channel Group."
L["EditFilterGroup"] = "Edit Custom Filters"
L["EditFilterUsage"] = "Case Insensitive LFG = [lL][fF][gG]"
L["EditLists"] = "Edit Black/White List"
L["Exempt Friend List"] = true
L["Exempt List"] = true
L["Exempt Party Members"] = true
L["FADD"] = "added to the TradeFilter exempt list."
L["FDS"] = "Filter Duel Spam"
L["FDSD"] = "Filter Duel Spam"
L["FREM"] = "removed from TradeFilter exempt list."
L["FSELF"] = "Filter Self"
L["FSELFD"] = "Allow yourself to be filtered? This can be used to test filters. TRUE = Player is subject to filtering, FALSE =  Player is not subject to filtering and passes through unchecked."
L["GAC"] = "Filter Guild AddOns Channel [Experimental]"
L["GACD"] = "Filter AddOns that make use of the hidden AddOns Guild channel. [Experimental]"
L["GC"] = "Filter General Channel"
L["GCD"] = "Select this to apply filter to General Channel."
L["General"] = true
L["INPUSAGE"] = "Input one entry per line."
L["LFG"] = true
L["LFGC"] = "Filter LFG Channel"
L["LFGCD"] = "Select this to apply filter to LFG Channel."
L["LOADED"] = "|cff00ff00Loaded!|r"
L["MATCHED"] = "|cff00ff00Matched:|r"
L["NJAOF"] = "Not just any old filter!"
L["NOMATCH"] = "|cff00ff00NO Match Found - Redirected|r"
L["OUTPUT"] = "Output Options"
L["PADD"] = "added to the temporary TradeFilter exempt list."
L["Profiles"] = true
L["RBF"] = "Reset Base Filters"
L["RBLS"] = "Reset Black List"
L["RBWL"] = "Reset Black/White List"
L["REPEAT"] = "Repeat Filtration"
L["RLS"] = "Reset Lists"
L["RMVRT1"] = "Removed"
L["RMVRT2"] = "from TradeFilter3 repeat database."
L["RPTA"] = "Repeat Advanced"
L["RPTAD"] = "Repeat Advanced settings and table information"
L["RPTBLOCKED"] = "Blocked"
L["RPTBLOCKEDD"] = "Total Repeats Blocked"
L["RPTBYPASS"] = "Repeat Bypass"
L["RPTBYPASSD"] = "Allow strings that match a pattern in your whitelist to bypass the repeat filter."
L["RPTENABLE"] = "Enable Repeat Check"
L["RPTENABLED"] = "Enable or Disable Repeat Check"
L["RPTRESET"] = "Reset"
L["RPTRESETD"] = "Reset Repeat Count"
L["RPTRS"] = "Recycle Size"
L["RPTRSD"] = "Run repeat recycle function when repeat table has reached X size."
L["RPTRT"] = "Recycle Timer"
L["RPTRTD"] = "Run repeat recycle function at X seconds."
L["RPTRTSU"] = "The RecycleTables function will run only when both the Recyle Time and Recycle Size conditions have been met."
L["RPTTC"] = "People in Repeat DB"
L["RPTTS"] = "Repeat Table Size"
L["RPTTT"] = "Trim Table"
L["RPTTTD"] = "Trim the repeat table data if the Recyle Time and Recycle Size conditions have been met."
L["RPTU"] = "If string is repeated X times in Y seconds then filter."
L["RSF"] = "Reset Special Filters"
L["RTF"] = "Reset Trade Filter"
L["RUI"] = "Reload UI"
L["RUID"] = "Reload the User Interface for some changes to take effect."
L["RWLS"] = "Reset White List"
L["Redir"] = "Redirect Spam"
L["RedirBL"] = "Redirect Blacklist matches to 'SPAM' ChatFrame."
L["RedirDesc"] = "Redirect Channel Spam to SPAM frame"
L["SAYC"] = "Filter SAY Channel"
L["SAYCD"] = "Select this to apply filter to SAY Channel."
L["SECPSD"] = "seconds passed."
L["SPCS"] = "Special Channel Selection"
L["SPCST"] = "Special Channels"
L["SPCSTD"] = "Special Channels are intended for AddOns that use channels for chat redirections that you still want filtered."
L["Say/Yell"] = true
L["TC"] = "Filter Trade Channel"
L["TCD"] = "Select this to apply filter to Trade Channel"
L["TFFR"] = "Importing your friends for TradeFilter3 exemption list..."
L["TFFRC"] = "Friends list import completed"
L["TFR"] = "TradeFilter3"
L["TRPT"] = "Time"
L["TRPTD"] = "Time required between repeats in seconds."
L["Trade"] = true
L["TurnOn"] = "Turn On"
L["TurnOnDesc"] = "Enable Trade Channel Filter."
L["WLE"] = "Enable Whitelist Checking"
L["YELLC"] = "Filter YELL Channel"
L["YELLCD"] = "Select this to apply filter to YELL Channel."
L["bLists"] = "BlackList"
L["bwLists"] = "Black/White List"
L["channelGroup"] = "Channel Selection"
L["debugFrame"] = "DEBUG"
L["listsGD"] = "Add words or patterns to match against for a Black/White list."
L["listsGroup"] = "Black/White Lists"
L["redirectFrame"] = "SPAM"
L["repeatFrame"] = "REPEAT"
L["wLists"] = "WhiteList"
L[ [=[|cffeda55fRight Click|r to open config GUI.
|cffeda55fLeft Click|r reset repeat count.]=] ] = true
L.BLACKLIST = {
	BLIST1 = "%[.*%].*rectum",
	BLIST10 = "%[.*%].*%[dirge%]",
	BLIST2 = "rectum.*%[.*%]",
	BLIST3 = "%[.*%].*anal",
	BLIST4 = "anal.*%[.*%]",
	BLIST5 = "%[.*%].*in.*bed",
	BLIST6 = "in.*bed.*%[.*%]",
	BLIST7 = "%[willy%].*%[.*%]",
	BLIST8 = "%[.*%].*%[willy%]",
	BLIST9 = "%[dirge%].*%[.*%]",
}
L.FILTERS = {
	BASE = {
		FILTER1 = "[lL][fF]%d[mM]?",
		FILTER2 = "[lL][fF][mM]?",
		FILTER3 = "[lL][fF][gG]",
		FILTER4 = "2[vV]2",
		FILTER5 = "3[vV]3",
		FILTER6 = "5[vV]5",
		FILTER7 = "[lL][fF] [dD][pP][sS]",
		FILTER8 = "[lL][fF] [tT][aA][nN][kK]",
		FILTER9 = "[lL][fF] [hH][eE][aA][lL][eE][rR]",
	},
	BG = {
		FILTER1 = "^[iI][nN][cC]$",
		FILTER10 = "[pP][uU][rR][pP][lL][eE]",
		FILTER11 = "[fF][aA][rR][mM]",
		FILTER12 = "^[gG][mM]$",
		FILTER13 = "[mM][iI][nN][eE]",
		FILTER14 = "[mM][iI][lL][lL]",
		FILTER15 = "^[lL][mM]$",
		FILTER16 = "^[bB][sS]$",
		FILTER17 = "[bB][lL][aA][cC][kK][sS][mM][iT][hH]",
		FILTER18 = "^[sS][tT]$",
		FILTER19 = "[sS][tT][aA][bB][lL][eE][sS]",
		FILTER2 = "^[fF][cC]$",
		FILTER20 = "[dD][rR][eE][kK]",
		FILTER21 = "[bB][lL][uU][eE]",
		FILTER22 = "[rR][eE][dD]",
		FILTER3 = "^[gG][yY]$",
		FILTER4 = "^[fF][rR]$",
		FILTER5 = "^[fF][rR][rR]$",
		FILTER6 = "^[mM][tT]$",
		FILTER7 = "^[dD][rR]$",
		FILTER8 = "[gG][oO][lL][dD]",
		FILTER9 = "[gG][rR][eE][eE][nN]",
	},
	SPECIAL = {
		FILTER1 = "evertrade",
		FILTER2 = "TCForwarder2IIll",
	},
	TRADE = {
		FILTER1 = "[bB][uU][yY][iI][nN][gG]",
		FILTER10 = "[lL][fF] [pP][oO][rR][tT]",
		FILTER2 = "[wW][tT][bBsStT]",
		FILTER3 = "[lL][fF][wWeE]",
		FILTER4 = "[lL][fF] [eE][nN][cC][hH][aA][nN][tT]",
		FILTER5 = "[lL][fF] [jJ][cC]",
		FILTER6 = "AH",
		FILTER7 = "looking for work",
		FILTER8 = "lockpick",
		FILTER9 = "[sS][eE][lL][lL][iI][nN][gG]",
	},
}
L.TOC = {
	Notes = "Not just any old filter!",
	Title = "Trade|cffffffffFilter|r3",
}
L.WHITELIST = {
	WLIST1 = "enchant:%d+[^%a%d]",
	WLIST2 = "item:%d+[^%a%d]",
	WLIST3 = "spell:%d+[^%a%d]",
	WLIST4 = "trade:%d+[^%a%d]",
	WLIST5 = "achievement:%d+[^%a%d]",
	WLIST6 = "quest:%d+[^%a%d]",
}

if GetLocale() == "enUS" then return end
end

local L =  LibStub("AceLocale-3.0"):NewLocale("TradeFilter3", "deDE")
if L then
L[" Repeats Blocked"] = " Wiederholungen blockiert"
L["#RPT"] = "Wiederholungen"
L["#RPTD"] = "Anzahl der Wiederholungen, bevor gefiltert wird."
L["0 Repeats Blocked"] = "0 Wiederholungen blockierte"
L["BCF"] = "Grundlegende Channelfilter"
L["BCFD"] = "Grundfilter werden auf die Allgemein-, SucheNachGruppe-, Spezialchannel usw. angewandt. Der Handelschannel ist nicht von dieser Liste betroffen."
L["BG"] = "Schlachtfeldchannel-Filter"
L["BGC"] = "Schlachtfeldchannel filtern"
L["BGCD"] = "Aktivere diese Funktion, um den Filter auf den Schlachtfeldchannel anzuwenden."
L["BGD"] = "Schlachtfeldchannel-Filter werden nur auf den Schlachtfeldchannel angewandt, keine anderen Channel sind von dieser Liste betroffen."
L["BLBYPASS"] = "Schwarze Liste umgehen"
L["BLBYPASSD"] = "Erlaube Zeichenketten, die auf der Weißen Liste vorkommen, die Schwarze Liste zu umgehen."
L["BLE"] = "Schwarze Liste prüfen"
L["BTF"] = "Handelschannelfilter"
L["BTFD"] = "Handelschannel-Filter werden nur auf den Handelschannel angewandt, keine anderen Channel sind von dieser Liste betroffen."
L["CEPM"] = "Derzeit bevorrechtigte Gruppenmitglieder"
L["CFM"] = "Suche Übereinstimmung:"
L["Current Exempt List"] = "Aktuelle Bevorrechtigtenliste"
L["DEBUGGING"] = "Einstellungen für Debug-Ausgabe"
L["DISABLED"] = "|cffff8080Deaktiviert|r"
L["DUEL_WINNER_KNOCKOUT"] = "%1$s hat %2$s in einem Duell besiegt"
L["DUEL_WINNER_RETREAT"] = "%2$s ist vor %1$s aus einem Duell geflüchtet"
L["Debug"] = "Debuginfos anzeigen"
L["DebugChecking"] = "Verstecke die 'Suche Übereinstimmung'-Meldungen"
L["DebugCheckingD"] = "Versteckt die 'Suche Übereinstimmung'-Meldungen in der Debug-Ausgabe."
L["DebugDesc"] = "Zeigt die Debug-Ausgabe im Channel DEBUG an"
L["EBL"] = "Schwarze Liste bearbeiten"
L["ENABLED"] = "|cff00ff00Aktiviert|r"
L["EWL"] = "Weiße Liste bearbeiten"
L["EditFilter"] = "Filter bearbeiten"
L["EditFilterD"] = "Filter bearbeiten, die auf Handel- oder sonstige Channel angewandt werden sollen."
L["EditFilterGD"] = "Filter bearbeiten, die auf Handel- oder sonstige Channel angewandt werden sollen."
L["EditFilterGroup"] = "Filter bearbeiten"
L["EditFilterUsage"] = "LFG, unabhängig von Groß- und Kleinschreibung, identisch mit [lL][fF][gG]"
L["EditLists"] = "Schwarze/Weiße Liste bearbeiten"
L["Exempt Friend List"] = "Liste bevorrechtigter Freunde"
L["Exempt List"] = "Bevorrechtigtenliste"
L["Exempt Party Members"] = "Bevorrechtigte Gruppenmitglieder"
L["FADD"] = "zur TradeFilter-Bevorrechtigtenliste hinzugefügt."
L["FDS"] = "Duellspam filtern"
L["FDSD"] = "Duellspam filtern"
L["FREM"] = "von der TradeFilter-Bevorrechtigtenliste entfernt."
L["FSELF"] = "Dich selbst filtern"
L["FSELFD"] = "Dich selbst filtern? Nutze diese Funktion, um Filter zu testen. Ist die Funktion eingeschaltet, werden die Filter auch auf dich angewandt. Ist sie ausgeschaltet, werden deine Sätze nicht gefiltert."
L["GAC"] = "Gilden-Add-on-Channel filtern [Experimentell]"
L["GACD"] = "Aktiviere diese Funktion, um den Filter auf den versteckten gildeninternen Add-on-Channel anzuwenden. [Experimentell]"
L["GC"] = "Allgemein-Channel filtern"
L["GCD"] = "Aktivere diese Funktion, um den Filter auf den Allgemein-Channel anzuwenden."
L["General"] = "Allgemein"
L["INPUSAGE"] = "Ein Eintrag pro Zeile."
L["LFG"] = "SucheNachGruppe"
L["LFGC"] = "SucheNachGruppe-Channel filtern"
L["LFGCD"] = "Aktivere diese Funktion, um den Filter auf den SucheNachGruppe-Channel anzuwenden."
L["LOADED"] = "|cff00ff00Geladen!|r"
L["MATCHED"] = "|cff00ff00Treffer:|r"
L["NJAOF"] = "Nicht einfach nur ein Filter!"
L["NOMATCH"] = "|cff00ff00Keine Übereinstimmung gefunden - umgeleitet|r"
L["OUTPUT"] = "Ausgabeoptionen"
L["PADD"] = "zur temporären TradeFilter-Bevorrechtigtenliste hinzugefügt."
L["Profiles"] = "Profile"
L["RBF"] = "Grundfilter zurücksetzen"
L["RBLS"] = "Schwarze Liste zurücksetzen"
L["RBWL"] = "Schwarze/Weiße Liste zurücksetzen"
L["REPEAT"] = "Wiederholungsfilter"
L["RLS"] = "Listen zurücksetzen"
L["RMVRT1"] = "Habe"
L["RMVRT2"] = "aus der TradeFilter3-Wiederholungsdatanbank entfernt."
L["RPTA"] = "Erweitertes Wiederholen"
L["RPTAD"] = "Einstellungen und Tabelleninformationen zum erweiterten Wiederholen"
L["RPTBLOCKED"] = "Blockiert"
L["RPTBLOCKEDD"] = "Insgesamt blockierte Wiederholungen"
L["RPTBYPASS"] = "Wiederholungsfilter umgehen"
L["RPTBYPASSD"] = "Erlaube Zeichenketten, die auf der Weißen Liste vorkommen, den Wiederholungsfilter zu umgehen."
L["RPTENABLE"] = "Wiederholungsprüfung einschalten"
L["RPTENABLED"] = "Wiederholungsprüfung ein- oder ausschalten"
L["RPTRESET"] = "Zurücksetzen"
L["RPTRESETD"] = "Wiederholungszähler zurücksetzen"
L["RPTRS"] = "Wiederverwertungsgröße"
L["RPTRSD"] = "Führe die Wiederverwertungsfunktion für Wiederholungen aus, sobald die Tabelle mit Wiedeholungen X Einträge hat."
L["RPTRT"] = "Wiederverwertungstimer"
L["RPTRTD"] = "Wiederverwertungsfunktion für Wiederholungen nach X Sekunden ausführen"
L["RPTRTSU"] = "Die Funktion RecycleTables wird nur starten, wenn sowohl Wiederverwertungstimer als auch Wiederverwertungsgröße erreicht wurden."
L["RPTTC"] = "Spieler in Wiederholungsdatenbank"
L["RPTTS"] = "Größe der Wiederholungstabelle"
L["RPTTT"] = "Tabelle kürzen"
L["RPTTTD"] = "Wiederholungstabelle kürzen, wenn Wiederverwertungstimer und -größe erreicht wurden."
L["RPTU"] = "Filtere Zeichenketten, die x-mal innerhalb von y Sekunden im Chat erscheinen."
L["RSF"] = "Spezialfilter zurücksetzen"
L["RTF"] = "Handelsfilter zurücksetzen"
L["RUI"] = "Interface neu laden"
L["RUID"] = "Lädt das Interface neu, um einige Änderungen zu aktivieren."
L["RWLS"] = "Weiße Liste zurücksetzen"
L["Redir"] = "Spam umleiten"
L["RedirBL"] = "Zeige Treffer auf der Schwarzen Liste im Chatfenster 'SPAM'."
L["RedirDesc"] = "Zeigt gefilterten Spam im Channel SPAM an"
L["SAYC"] = "Sagen-Channel filtern"
L["SAYCD"] = "Aktivere diese Funktion, um den Filter auf den Sagen-Channel anzuwenden."
L["SECPSD"] = "Sekunden vergangen."
L["SPCS"] = "Spezialchannel-Auswahl"
L["SPCST"] = "Spezialchannels"
L["SPCSTD"] = "Spezialchannels gehören zu Add-ons, die Chatnachrichten umleiten, die du gefiltert haben möchtest."
L["Say/Yell"] = "Sagen/Schreien"
L["TC"] = "Handelschannel filtern"
L["TCD"] = "Aktivere diese Funktion, um den Filter auf den Handelschannel anzuwenden."
L["TFFR"] = "Importiere deine Freundesliste in die TradeFilter3-Bevorrechtigtenliste..."
L["TFFRC"] = "Freundesliste vollständig importiert"
L["TFR"] = "TradeFilter3"
L["TRPT"] = "Zeit"
L["TRPTD"] = "Zulässige Zeit zwischen Wiederholungen in Sekunden."
L["Trade"] = "Handel"
L["TurnOn"] = "Aktivieren"
L["TurnOnDesc"] = "Aktiviert den Handelschannel-Filter."
L["WLE"] = "Weiße Liste prüfen"
L["YELLC"] = "Schreien-Channel filtern"
L["YELLCD"] = "Aktivere diese Funktion, um den Filter auf den Schreien-Channel anzuwenden."
L["bLists"] = "Schwarze Liste"
L["bwLists"] = "Schwarze/Weiße Liste"
L["channelGroup"] = "Channelauswahl"
L["debugFrame"] = "DEBUG"
L["listsGD"] = "Füge Worte und Suchmuster zur Schwarzen und Weißen Liste hinzu."
L["listsGroup"] = "Schwarze/Weiße Liste"
L["redirectFrame"] = "SPAM"
L["repeatFrame"] = "REPEAT"
L["wLists"] = "Weiße Liste"
L[ [=[|cffeda55fRight Click|r to open config GUI.
|cffeda55fLeft Click|r reset repeat count.]=] ] = [=[|cffeda55fRechtsklicken|r, um das Konfigurationsmenü zu öffnen.
|cffeda55fLinksklicken|r, um den Wiederholungszähler zurückzusetzen.]=]
L.BLACKLIST = {
	BLIST1 = "%[.*%].*arsch",
	BLIST10 = "%[.*%].*%[todeslied%]",
	BLIST2 = "arsch.*%[.*%]",
	BLIST3 = "%[.*%].*anal",
	BLIST4 = "anal.*%[.*%]",
	BLIST5 = "%[.*%].*im.*bett",
	BLIST6 = "im.*bett.*%[.*%]",
	BLIST7 = "%[schniedel%].*%[.*%]",
	BLIST8 = "%[.*%].*%[schniedel%]",
	BLIST9 = "%[todeslied%].*%[.*%]",
}
L.FILTERS = {
	BASE = {
		FILTER1 = "[sS][uU][cC][hH][eE] [nN][oO][cC][hH] %d",
		FILTER2 = "[lL][fF][mM]?",
		FILTER3 = "[lL][fF][gG]",
		FILTER4 = "2[vV]2",
		FILTER5 = "3[vV]3",
		FILTER6 = "5[vV]5",
		FILTER7 = "[sS][uU][cC][hH][eE] [dD][dD]",
		FILTER8 = "[sS][uU][cC][hH][eE] [tT][aA][nN][kK]",
		FILTER9 = "[sS][uU][cC][hH][eE] [hH][eE][iI][lL][eE][rR]",
	},
	BG = {
		FILTER1 = "^[iI][nN][cC]$",
		FILTER10 = "[lL][iI][lL][aA]",
		FILTER11 = "[hH][oO][fF]",
		FILTER12 = "^[gG][mM]$",
		FILTER13 = "[mM][iI][nN][eE]",
		FILTER14 = "[sS][äÄ][gG][eE]",
		FILTER15 = "^[sS][wW]$",
		FILTER16 = "^[sS][cC][hH][mM]$",
		FILTER17 = "[sS][cC][hH][mM][iI][eE][dD]",
		FILTER18 = "^[sS][tT]$",
		FILTER19 = "[sS][tT][äÄ][lL][lL][eE]",
		FILTER2 = "^[fF][cCtT]$",
		FILTER20 = "[dD][rR][eE][kK]",
		FILTER21 = "[bB][lL][aA][uU]",
		FILTER22 = "[rR][oO][tT]",
		FILTER3 = "^[fF][hH]$",
		FILTER4 = "^[tT][hH]$",
		FILTER5 = "^[tT][hH][rR]$",
		FILTER6 = "^[mM][tT]$",
		FILTER7 = "^[dD][rR]$",
		FILTER8 = "[gG][oO][lL][dD]",
		FILTER9 = "[gG][rR][üÜ][nN]",
	},
	SPECIAL = {
		FILTER1 = "evertrade",
		FILTER2 = "TCForwarder2IIll",
	},
	TRADE = {
		FILTER1 = "[kK][aA][uU][fF][eE]",
		FILTER10 = "[sS][uU][cC][hH][eE] [pP][oO][rR][tT]",
		FILTER2 = "[wW][tT][bBsStT]",
		FILTER3 = "[lL][fF][wWeE]",
		FILTER4 = "[sS][uU][cC][hH][eE] [vV][eE][rR][zZ]",
		FILTER5 = "[sS][uU][cC][hH][eE] [jJ][uU][wW][eEiI]",
		FILTER6 = "AH",
		FILTER7 = "suche arbeit",
		FILTER8 = "knack[et]n?",
		FILTER9 = "[vV][eE][rR][kK][aA][uU][fF][eE]",
	},
}
L.TOC = {
	Notes = "Nicht einfach nur ein Filter!",
	Title = "Trade|cffffffffFilter|r3",
}
L.WHITELIST = {
	WLIST1 = "enchant:%d+[^%a%d]",
	WLIST2 = "item:%d+[^%a%d]",
	WLIST3 = "spell:%d+[^%a%d]",
	WLIST4 = "trade:%d+[^%a%d]",
	WLIST5 = "achievement:%d+[^%a%d]",
	WLIST6 = "quest:%d+[^%a%d]",
}

if GetLocale() == "deDE" then return end
end

local L =  LibStub("AceLocale-3.0"):NewLocale("TradeFilter3", "zhCN")
if L then
-- L[" Repeats Blocked"] = ""
L["#RPT"] = "重复次数"
L["#RPTD"] = "需要过滤的重复次数"
-- L["0 Repeats Blocked"] = ""
L["BCF"] = "基础频道过滤器"
L["BCFD"] = "基础频道过滤器仅能过滤综合/组队/特定频道, 其他频道不会被这个列表所影响。"
-- L["BG"] = ""
-- L["BGC"] = ""
-- L["BGCD"] = ""
-- L["BGD"] = ""
-- L["BLBYPASS"] = ""
-- L["BLBYPASSD"] = ""
L["BLE"] = "启用黑名单检测"
L["BTF"] = "基础交易频道过滤器" -- Needs review
L["BTFD"] = "交易频道过滤器仅过滤交易频道的内容, 其他频道不会受到这个列表的影响。"
-- L["CEPM"] = ""
L["CFM"] = "检测匹配:"
-- L["Current Exempt List"] = ""
L["DEBUGGING"] = "除错输出选项"
L["DISABLED"] = "|cffff8080禁用|r"
-- L["DUEL_WINNER_KNOCKOUT"] = ""
-- L["DUEL_WINNER_RETREAT"] = ""
L["Debug"] = "除错模式 [需要新建一个聊天框名为 'DEBUG']" -- Needs review
L["DebugChecking"] = "除掉 '检测匹配'"
L["DebugCheckingD"] = "从除错输出中除掉 '检测匹配'"
L["DebugDesc"] = "启用除错模式并输出到 <DEBUG> 频道 [需要新建聊天框名为 'DEBUG']" -- Needs review
L["EBL"] = "编辑黑名单"
L["ENABLED"] = "|cff00ff00启用|r"
L["EWL"] = "编辑白名单"
L["EditFilter"] = "编辑过滤符号"
L["EditFilterD"] = "编辑在交易或基础频道中要匹配的过滤符号。"
L["EditFilterGD"] = "编辑在交易或基础频道分组中要匹配的过滤符号。"
L["EditFilterGroup"] = "编辑自定义过滤器"
-- L["EditFilterUsage"] = ""
L["EditLists"] = "编辑黑/白名单"
-- L["Exempt Friend List"] = ""
-- L["Exempt List"] = ""
-- L["Exempt Party Members"] = ""
L["FADD"] = "增加到 TradeFilter 豁免列表。"
L["FDS"] = "过滤决斗信息"
-- L["FDSD"] = ""
L["FREM"] = "从 TradeFilter 豁免列表中移除。"
L["FSELF"] = "过滤自身"
L["FSELFD"] = "允许过滤自身? 这个可以用来测试过滤器. TRUE = 玩家自身将被过滤, FALSE = 玩家自身将不被过滤."
L["GAC"] = "过滤<公会插件>频道 [试验性质]"
-- L["GACD"] = ""
L["GC"] = "过滤 <综合> 频道"
L["GCD"] = "选中以过滤 <综合> 频道"
L["General"] = "综合"
L["INPUSAGE"] = "每一行输入一个。"
L["LFG"] = true
L["LFGC"] = "过滤 <组队> 频道"
L["LFGCD"] = "选中以过滤 <组队> 频道"
L["LOADED"] = "|cff00ff00已加载!|r"
L["MATCHED"] = "|cff00ff00匹配:|r"
-- L["NJAOF"] = ""
L["NOMATCH"] = "|cff00ff00没有找到匹配 - 已重定向|r"
L["OUTPUT"] = "输出选项"
-- L["PADD"] = ""
L["Profiles"] = "配置文件"
L["RBF"] = "重置基础过滤器" -- Needs review
L["RBLS"] = "重置黑名单"
L["RBWL"] = "重置黑/白名单"
L["REPEAT"] = "重复过滤"
L["RLS"] = "重置列表"
L["RMVRT1"] = "移除"
L["RMVRT2"] = "从 TradeFilter3 重复内容数据库。"
-- L["RPTA"] = ""
-- L["RPTAD"] = ""
L["RPTBLOCKED"] = "阻止"
L["RPTBLOCKEDD"] = "重复内容阻止总数"
L["RPTBYPASS"] = "重复内容通过"
L["RPTBYPASSD"] = "允许在白名单中匹配的词组可以通过重复内容过滤器。"
L["RPTENABLE"] = "启用重复内容检测"
L["RPTENABLED"] = "启用或禁用重复内容检测"
L["RPTRESET"] = "重置"
L["RPTRESETD"] = "重置重复内容计数"
-- L["RPTRS"] = ""
-- L["RPTRSD"] = ""
-- L["RPTRT"] = ""
-- L["RPTRTD"] = ""
-- L["RPTRTSU"] = ""
-- L["RPTTC"] = ""
-- L["RPTTS"] = ""
-- L["RPTTT"] = ""
-- L["RPTTTD"] = ""
L["RPTU"] = "如果字符在Y秒内重复X次则过滤。"
L["RSF"] = "重置特殊过滤器"
L["RTF"] = "重置交易过滤器"
L["RUI"] = "重载 UI"
L["RUID"] = "重载 UI 以使一些改动生效。"
L["RWLS"] = "重置白名单"
L["Redir"] = "重定向垃圾信息 [需要新建聊天框名为 'SPAM']" -- Needs review
L["RedirBL"] = "重定向黑名单匹配的内容到 'SPAM'  聊天框。"
L["RedirDesc"] = "重定向交易频道垃圾信息到垃圾信息频道 [需要新建聊天框名为 'SPAM']" -- Needs review
L["SAYC"] = "过滤 <说> 频道"
L["SAYCD"] = "选中以过滤 <说> 频道"
L["SECPSD"] = "秒。"
L["SPCS"] = "特殊频道选择"
L["SPCST"] = "特殊频道"
-- L["SPCSTD"] = ""
L["Say/Yell"] = "说/喊"
L["TC"] = "过滤交易频道"
L["TCD"] = "选中以过滤 <交易> 频道"
L["TFFR"] = "TradeFilter 首次加载!正在导入你的好友列表..." -- Needs review
-- L["TFFRC"] = ""
L["TFR"] = "TradeFilter3"
L["TRPT"] = "次数"
L["TRPTD"] = "在间隔的秒数内允许的重复次数"
L["Trade"] = "交易"
L["TurnOn"] = "开启"
L["TurnOnDesc"] = "启用交易频道过滤器"
L["WLE"] = "启用白名单检测"
L["YELLC"] = "过滤 <大喊> 频道"
L["YELLCD"] = "选中以过滤 <大喊> 频道"
L["bLists"] = "黑名单"
L["bwLists"] = "黑/白名单"
L["channelGroup"] = "频道选择"
L["debugFrame"] = "DEBUG"
L["listsGD"] = "增加需要过滤的词语或词组到黑/白名单。"
L["listsGroup"] = "黑/白名单列表"
L["redirectFrame"] = "SPAM"
L["repeatFrame"] = "REPEAT"
L["wLists"] = "白名单"
--[==[ L[ [=[|cffeda55fRight Click|r to open config GUI.
|cffeda55fLeft Click|r reset repeat count.]=] ] = "" ]==]
L.BLACKLIST = {
	-- BLIST1 = "",
	-- BLIST10 = "",
	-- BLIST2 = "",
	-- BLIST3 = "",
	-- BLIST4 = "",
	-- BLIST5 = "",
	-- BLIST6 = "",
	-- BLIST7 = "",
	-- BLIST8 = "",
	-- BLIST9 = "",
}
L.FILTERS = {
	BASE = {
		-- FILTER1 = "",
		-- FILTER2 = "",
		-- FILTER3 = "",
		-- FILTER4 = "",
		-- FILTER5 = "",
		-- FILTER6 = "",
		-- FILTER7 = "",
		-- FILTER8 = "",
		-- FILTER9 = "",
	},
	BG = {
		-- FILTER1 = "",
		-- FILTER10 = "",
		-- FILTER11 = "",
		-- FILTER12 = "",
		-- FILTER13 = "",
		-- FILTER14 = "",
		-- FILTER15 = "",
		-- FILTER16 = "",
		-- FILTER17 = "",
		-- FILTER18 = "",
		-- FILTER19 = "",
		-- FILTER2 = "",
		-- FILTER20 = "",
		-- FILTER21 = "",
		-- FILTER22 = "",
		-- FILTER3 = "",
		-- FILTER4 = "",
		-- FILTER5 = "",
		-- FILTER6 = "",
		-- FILTER7 = "",
		-- FILTER8 = "",
		-- FILTER9 = "",
	},
	SPECIAL = {
		-- FILTER1 = "",
		-- FILTER2 = "",
	},
	TRADE = {
		-- FILTER1 = "",
		-- FILTER10 = "",
		-- FILTER2 = "",
		-- FILTER3 = "",
		-- FILTER4 = "",
		-- FILTER5 = "",
		-- FILTER6 = "",
		-- FILTER7 = "",
		-- FILTER8 = "",
		-- FILTER9 = "",
	},
}
L.TOC = {
	Notes = "过滤讨厌的交易频道垃圾信息.", -- Needs review
	Title = "Trade|cffffffffFilter|r3",
}
L.WHITELIST = {
	WLIST1 = "附魔：%d+[^%a%d]",
	WLIST2 = "物品:%d+[^%a%d]",
	WLIST3 = "法术:%d+[^%a%d]",
	WLIST4 = "交易:%d+[^%a%d]",
	-- WLIST5 = "",
	-- WLIST6 = "",
}

if GetLocale() == "zhCN" then return end
end

local L =  LibStub("AceLocale-3.0"):NewLocale("TradeFilter3", "zhTW")
if L then
-- L[" Repeats Blocked"] = ""
-- L["#RPT"] = ""
-- L["#RPTD"] = ""
-- L["0 Repeats Blocked"] = ""
-- L["BCF"] = ""
-- L["BCFD"] = ""
-- L["BG"] = ""
-- L["BGC"] = ""
-- L["BGCD"] = ""
-- L["BGD"] = ""
-- L["BLBYPASS"] = ""
-- L["BLBYPASSD"] = ""
-- L["BLE"] = ""
-- L["BTF"] = ""
-- L["BTFD"] = ""
-- L["CEPM"] = ""
-- L["CFM"] = ""
-- L["Current Exempt List"] = ""
-- L["DEBUGGING"] = ""
-- L["DISABLED"] = ""
-- L["DUEL_WINNER_KNOCKOUT"] = ""
-- L["DUEL_WINNER_RETREAT"] = ""
L["Debug"] = "除錯模式 [需要新建聊天視窗名為 'DEBUG']" -- Needs review
-- L["DebugChecking"] = ""
-- L["DebugCheckingD"] = ""
L["DebugDesc"] = "啟用除錯模式并輸出到 <DEBUG> 頻道 [需要新建聊天視窗名為 'DEBUG']" -- Needs review
-- L["EBL"] = ""
-- L["ENABLED"] = ""
-- L["EWL"] = ""
-- L["EditFilter"] = ""
-- L["EditFilterD"] = ""
-- L["EditFilterGD"] = ""
-- L["EditFilterGroup"] = ""
-- L["EditFilterUsage"] = ""
-- L["EditLists"] = ""
-- L["Exempt Friend List"] = ""
-- L["Exempt List"] = ""
-- L["Exempt Party Members"] = ""
-- L["FADD"] = ""
-- L["FDS"] = ""
-- L["FDSD"] = ""
-- L["FREM"] = ""
L["FSELF"] = "過濾自身"
L["FSELFD"] = "允許過濾自身信息? 這個可以用來測試過濾器. TRUE = 玩家自身將被過濾, FALSE = 玩家自身將不被過濾."
-- L["GAC"] = ""
-- L["GACD"] = ""
L["GC"] = "過濾 <綜合> 頻道"
L["GCD"] = "選中以過濾 <綜合> 頻道。"
-- L["General"] = ""
-- L["INPUSAGE"] = ""
-- L["LFG"] = ""
L["LFGC"] = "過濾 <組隊> 頻道"
L["LFGCD"] = "選中以過濾 <組隊> 頻道。"
-- L["LOADED"] = ""
-- L["MATCHED"] = ""
-- L["NJAOF"] = ""
-- L["NOMATCH"] = ""
L["OUTPUT"] = "輸出選項"
-- L["PADD"] = ""
L["Profiles"] = "設定檔"
-- L["RBF"] = ""
-- L["RBLS"] = ""
-- L["RBWL"] = ""
-- L["REPEAT"] = ""
-- L["RLS"] = ""
-- L["RMVRT1"] = ""
-- L["RMVRT2"] = ""
-- L["RPTA"] = ""
-- L["RPTAD"] = ""
-- L["RPTBLOCKED"] = ""
-- L["RPTBLOCKEDD"] = ""
-- L["RPTBYPASS"] = ""
-- L["RPTBYPASSD"] = ""
-- L["RPTENABLE"] = ""
-- L["RPTENABLED"] = ""
-- L["RPTRESET"] = ""
-- L["RPTRESETD"] = ""
-- L["RPTRS"] = ""
-- L["RPTRSD"] = ""
-- L["RPTRT"] = ""
-- L["RPTRTD"] = ""
-- L["RPTRTSU"] = ""
-- L["RPTTC"] = ""
-- L["RPTTS"] = ""
-- L["RPTTT"] = ""
-- L["RPTTTD"] = ""
-- L["RPTU"] = ""
-- L["RSF"] = ""
-- L["RTF"] = ""
L["RUI"] = "重載 UI"
L["RUID"] = "重載 UI 以使一些改動生效"
-- L["RWLS"] = ""
L["Redir"] = "重定向垃圾信息 [需要新建聊天視窗名為 'SPAM']" -- Needs review
-- L["RedirBL"] = ""
L["RedirDesc"] = "重定向交易頻道垃圾信息到 <SPAM> 頻道 [需要新建聊天視窗名為 'SPAM']" -- Needs review
L["SAYC"] = "過濾 <說> 頻道"
L["SAYCD"] = "選中以過濾 <說> 頻道"
-- L["SECPSD"] = ""
-- L["SPCS"] = ""
-- L["SPCST"] = ""
-- L["SPCSTD"] = ""
-- L["Say/Yell"] = ""
L["TC"] = "過濾交易頻道"
L["TCD"] = "選中以過濾 <交易> 頻道"
-- L["TFFR"] = ""
-- L["TFFRC"] = ""
L["TFR"] = "TradeFilter3"
-- L["TRPT"] = ""
-- L["TRPTD"] = ""
-- L["Trade"] = ""
L["TurnOn"] = "開啟"
L["TurnOnDesc"] = "啟用交易頻道過濾器。"
-- L["WLE"] = ""
L["YELLC"] = "過濾 <大喊> 頻道"
L["YELLCD"] = "選中以過濾 <大喊> 頻道"
-- L["bLists"] = ""
-- L["bwLists"] = ""
L["channelGroup"] = "頻道選擇"
-- L["debugFrame"] = ""
-- L["listsGD"] = ""
-- L["listsGroup"] = ""
-- L["redirectFrame"] = ""
-- L["repeatFrame"] = ""
-- L["wLists"] = ""
--[==[ L[ [=[|cffeda55fRight Click|r to open config GUI.
|cffeda55fLeft Click|r reset repeat count.]=] ] = "" ]==]
L.BLACKLIST = {
	-- BLIST1 = "",
	-- BLIST10 = "",
	-- BLIST2 = "",
	-- BLIST3 = "",
	-- BLIST4 = "",
	-- BLIST5 = "",
	-- BLIST6 = "",
	-- BLIST7 = "",
	-- BLIST8 = "",
	-- BLIST9 = "",
}
L.FILTERS = {
	BASE = {
		-- FILTER1 = "",
		-- FILTER2 = "",
		-- FILTER3 = "",
		-- FILTER4 = "",
		-- FILTER5 = "",
		-- FILTER6 = "",
		-- FILTER7 = "",
		-- FILTER8 = "",
		-- FILTER9 = "",
	},
	BG = {
		-- FILTER1 = "",
		-- FILTER10 = "",
		-- FILTER11 = "",
		-- FILTER12 = "",
		-- FILTER13 = "",
		-- FILTER14 = "",
		-- FILTER15 = "",
		-- FILTER16 = "",
		-- FILTER17 = "",
		-- FILTER18 = "",
		-- FILTER19 = "",
		-- FILTER2 = "",
		-- FILTER20 = "",
		-- FILTER21 = "",
		-- FILTER22 = "",
		-- FILTER3 = "",
		-- FILTER4 = "",
		-- FILTER5 = "",
		-- FILTER6 = "",
		-- FILTER7 = "",
		-- FILTER8 = "",
		-- FILTER9 = "",
	},
	SPECIAL = {
		-- FILTER1 = "",
		-- FILTER2 = "",
	},
	TRADE = {
		-- FILTER1 = "",
		-- FILTER10 = "",
		-- FILTER2 = "",
		-- FILTER3 = "",
		-- FILTER4 = "",
		-- FILTER5 = "",
		-- FILTER6 = "",
		-- FILTER7 = "",
		-- FILTER8 = "",
		-- FILTER9 = "",
	},
}
L.TOC = {
	Notes = "過濾討厭的交易頻道垃圾訊息.", -- Needs review
	Title = "Trade|cffffffffFilter|r3",
}
L.WHITELIST = {
	-- WLIST1 = "",
	-- WLIST2 = "",
	-- WLIST3 = "",
	-- WLIST4 = "",
	-- WLIST5 = "",
	-- WLIST6 = "",
}

if GetLocale() == "zhTW" then return end
end

local L =  LibStub("AceLocale-3.0"):NewLocale("TradeFilter3", "koKR")
if L then
-- L[" Repeats Blocked"] = ""
L["#RPT"] = "반복"
L["#RPTD"] = "필터링 전 반복 횟수"
-- L["0 Repeats Blocked"] = ""
L["BCF"] = "기본 채널 필터"
-- L["BCFD"] = ""
-- L["BG"] = ""
-- L["BGC"] = ""
-- L["BGCD"] = ""
-- L["BGD"] = ""
-- L["BLBYPASS"] = ""
-- L["BLBYPASSD"] = ""
L["BLE"] = "블랙 리스트 확인 사용"
L["BTF"] = "기본 거래 필터" -- Needs review
-- L["BTFD"] = ""
-- L["CEPM"] = ""
-- L["CFM"] = ""
-- L["Current Exempt List"] = ""
L["DEBUGGING"] = "출력 옵션 디버깅"
L["DISABLED"] = "|cffff8080미사용|r"
-- L["DUEL_WINNER_KNOCKOUT"] = ""
-- L["DUEL_WINNER_RETREAT"] = ""
L["Debug"] = "디버그"
-- L["DebugChecking"] = ""
-- L["DebugCheckingD"] = ""
L["DebugDesc"] = "디버깅 결과를 DEBUG 채널에 출력"
-- L["EBL"] = ""
L["ENABLED"] = "|cff00ff00사용|r"
-- L["EWL"] = ""
-- L["EditFilter"] = ""
-- L["EditFilterD"] = ""
-- L["EditFilterGD"] = ""
L["EditFilterGroup"] = "사용자 필터 편집"
-- L["EditFilterUsage"] = ""
L["EditLists"] = "블랙/화이트 리스트 편집"
-- L["Exempt Friend List"] = ""
-- L["Exempt List"] = ""
-- L["Exempt Party Members"] = ""
L["FADD"] = "TradeFilter 예외 목록에 추가됨"
-- L["FDS"] = ""
-- L["FDSD"] = ""
L["FREM"] = "TradeFilter 예외 목록에서 제외됨"
-- L["FSELF"] = ""
-- L["FSELFD"] = ""
-- L["GAC"] = ""
-- L["GACD"] = ""
L["GC"] = "공개 채널 필터링"
L["GCD"] = "공개 채널에 필터를 적용하려면 선택"
L["General"] = "일반"
-- L["INPUSAGE"] = ""
L["LFG"] = "파티 찾기"
L["LFGC"] = "파티찾기 채널 필터링"
L["LFGCD"] = "파티찾기 채널에 필터를 적용하려면 선택"
-- L["LOADED"] = ""
-- L["MATCHED"] = ""
-- L["NJAOF"] = ""
-- L["NOMATCH"] = ""
L["OUTPUT"] = "출력 옵션"
-- L["PADD"] = ""
L["Profiles"] = "프로필"
L["RBF"] = "기본 필터 초기화"
L["RBLS"] = "블랙 리스트 초기화"
L["RBWL"] = "블랙/화이트 리스트 초기화"
-- L["REPEAT"] = ""
L["RLS"] = "목록 초기화"
-- L["RMVRT1"] = ""
-- L["RMVRT2"] = ""
-- L["RPTA"] = ""
-- L["RPTAD"] = ""
L["RPTBLOCKED"] = "차단"
-- L["RPTBLOCKEDD"] = ""
-- L["RPTBYPASS"] = ""
-- L["RPTBYPASSD"] = ""
L["RPTENABLE"] = "반복 확인 사용"
L["RPTENABLED"] = "반복 확인 사용 여부"
L["RPTRESET"] = "리셋"
L["RPTRESETD"] = "반복 횟수 초기화"
-- L["RPTRS"] = ""
-- L["RPTRSD"] = ""
-- L["RPTRT"] = ""
-- L["RPTRTD"] = ""
-- L["RPTRTSU"] = ""
-- L["RPTTC"] = ""
-- L["RPTTS"] = ""
-- L["RPTTT"] = ""
-- L["RPTTTD"] = ""
-- L["RPTU"] = ""
-- L["RSF"] = ""
L["RTF"] = "거래 필터 초기화"
L["RUI"] = "UI 다시 불러오기"
L["RUID"] = "변경 사항을 적용하기 위해 유저 인터페이스 다시 불러오기"
L["RWLS"] = "화이트 리스트 초기화"
L["Redir"] = "스팸 우회"
-- L["RedirBL"] = ""
L["RedirDesc"] = "거래 채널 스팸을 SPAM 채널로 우회"
L["SAYC"] = "일반 대화 채널 필터링"
L["SAYCD"] = "일반 대화 채널에 필터를 적용하려면 선택"
-- L["SECPSD"] = ""
-- L["SPCS"] = ""
-- L["SPCST"] = ""
-- L["SPCSTD"] = ""
L["Say/Yell"] = "일반 대화/외침"
L["TC"] = "거래 채널 필터링"
L["TCD"] = "거래 채널에 필터를 적용하려면 선택"
-- L["TFFR"] = ""
-- L["TFFRC"] = ""
L["TFR"] = "TradeFilter3"
-- L["TRPT"] = ""
-- L["TRPTD"] = ""
-- L["Trade"] = ""
L["TurnOn"] = "사용하기"
L["TurnOnDesc"] = "거래 채널 필터 사용"
L["WLE"] = "화이트 리스트 확인 사용"
L["YELLC"] = "외침 채널 필터링"
L["YELLCD"] = "외침 채널에 필터를 적용하려면 선택"
L["bLists"] = "블랙 리스트"
L["bwLists"] = "블랙/화이트 리스트"
L["channelGroup"] = "채널 선택"
L["debugFrame"] = "DEBUG"
-- L["listsGD"] = ""
L["listsGroup"] = "블랙/화이트 리스트"
L["redirectFrame"] = "스팸"
L["repeatFrame"] = "반복"
L["wLists"] = "화이트 리스트"
--[==[ L[ [=[|cffeda55fRight Click|r to open config GUI.
|cffeda55fLeft Click|r reset repeat count.]=] ] = "" ]==]
L.BLACKLIST = {
	-- BLIST1 = "",
	-- BLIST10 = "",
	-- BLIST2 = "",
	-- BLIST3 = "",
	-- BLIST4 = "",
	-- BLIST5 = "",
	-- BLIST6 = "",
	-- BLIST7 = "",
	-- BLIST8 = "",
	-- BLIST9 = "",
}
L.FILTERS = {
	BASE = {
		-- FILTER1 = "",
		-- FILTER2 = "",
		-- FILTER3 = "",
		-- FILTER4 = "",
		-- FILTER5 = "",
		-- FILTER6 = "",
		-- FILTER7 = "",
		-- FILTER8 = "",
		-- FILTER9 = "",
	},
	BG = {
		-- FILTER1 = "",
		-- FILTER10 = "",
		-- FILTER11 = "",
		-- FILTER12 = "",
		-- FILTER13 = "",
		-- FILTER14 = "",
		-- FILTER15 = "",
		-- FILTER16 = "",
		-- FILTER17 = "",
		-- FILTER18 = "",
		-- FILTER19 = "",
		-- FILTER2 = "",
		-- FILTER20 = "",
		-- FILTER21 = "",
		-- FILTER22 = "",
		-- FILTER3 = "",
		-- FILTER4 = "",
		-- FILTER5 = "",
		-- FILTER6 = "",
		-- FILTER7 = "",
		-- FILTER8 = "",
		-- FILTER9 = "",
	},
	SPECIAL = {
		-- FILTER1 = "",
		-- FILTER2 = "",
	},
	TRADE = {
		-- FILTER1 = "",
		-- FILTER10 = "",
		-- FILTER2 = "",
		-- FILTER3 = "",
		-- FILTER4 = "",
		-- FILTER5 = "",
		-- FILTER6 = "",
		-- FILTER7 = "",
		-- FILTER8 = "",
		-- FILTER9 = "",
	},
}
L.TOC = {
	-- Notes = "",
	-- Title = "",
}
L.WHITELIST = {
	-- WLIST1 = "",
	-- WLIST2 = "",
	-- WLIST3 = "",
	-- WLIST4 = "",
	-- WLIST5 = "",
	-- WLIST6 = "",
}

if GetLocale() == "koKR" then return end
end

local L =  LibStub("AceLocale-3.0"):NewLocale("TradeFilter3", "frFR")
if L then
-- L[" Repeats Blocked"] = ""
L["#RPT"] = "Répétitions"
L["#RPTD"] = "Nombre de répétitions avant filtrage"
-- L["0 Repeats Blocked"] = ""
L["BCF"] = "Filtres de base des canaux" -- Needs review
L["BCFD"] = "Les filtres du canal Commerce ne sont appliqués que pour le canal Commerce, aucun autre canal n'est affecté par cette liste."
-- L["BG"] = ""
-- L["BGC"] = ""
-- L["BGCD"] = ""
-- L["BGD"] = ""
-- L["BLBYPASS"] = ""
-- L["BLBYPASSD"] = ""
-- L["BLE"] = ""
L["BTF"] = "Filtres de base du commerce" -- Needs review
-- L["BTFD"] = ""
-- L["CEPM"] = ""
-- L["CFM"] = ""
-- L["Current Exempt List"] = ""
-- L["DEBUGGING"] = ""
L["DISABLED"] = "|cffff8080Désactiver|r"
-- L["DUEL_WINNER_KNOCKOUT"] = ""
-- L["DUEL_WINNER_RETREAT"] = ""
L["Debug"] = "Debugage"
-- L["DebugChecking"] = ""
-- L["DebugCheckingD"] = ""
L["DebugDesc"] = "Activer le débugage et ressort dans le canal DEBUG"
-- L["EBL"] = ""
L["ENABLED"] = "|cff00ff00Activer|r"
-- L["EWL"] = ""
L["EditFilter"] = "Editer les expressions des filtres"
L["EditFilterD"] = "Editer les expressions des filtres du canal commerce ou général" -- Needs review
-- L["EditFilterGD"] = ""
L["EditFilterGroup"] = "Editer les filtres perso" -- Needs review
L["EditFilterUsage"] = "Insensible à la casse : LFG = [lL][fF][gG]" -- Needs review
L["EditLists"] = "Editer les listes"
-- L["Exempt Friend List"] = ""
-- L["Exempt List"] = ""
-- L["Exempt Party Members"] = ""
L["FADD"] = "Ajoute à la liste d'exception de TradeFilter"
-- L["FDS"] = ""
-- L["FDSD"] = ""
L["FREM"] = "Supprime de la liste d'exception de TradeFilter"
L["FSELF"] = "Se filtrer"
L["FSELFD"] = "Se filtrer soi-même ? Peut servir pour tester les filtres. TRUE = filtrage actif sur soi, FALSE = pas de filtrage sur soi."
-- L["GAC"] = ""
-- L["GACD"] = ""
L["GC"] = "Filtre du canal Général"
L["GCD"] = "Sélectionner pour être appliqué au canal Général"
L["General"] = "Général"
-- L["INPUSAGE"] = ""
-- L["LFG"] = ""
L["LFGC"] = "Filtre du canal RechercheDeGroupe"
L["LFGCD"] = "Sélectionner pour être appliqué au canal RechercheDeGroupe"
L["LOADED"] = "|cff00ff00Charger!|r"
-- L["MATCHED"] = ""
-- L["NJAOF"] = ""
-- L["NOMATCH"] = ""
L["OUTPUT"] = "Options d'affichage"
-- L["PADD"] = ""
L["Profiles"] = "Profils"
L["RBF"] = "Réinitialiser les filtres de base" -- Needs review
-- L["RBLS"] = ""
L["RBWL"] = "Réinitialiser les listes noire/blanche" -- Needs review
L["REPEAT"] = "Répéter le filtrage"
L["RLS"] = "Réinitialiser le listes"
-- L["RMVRT1"] = ""
-- L["RMVRT2"] = ""
-- L["RPTA"] = ""
-- L["RPTAD"] = ""
L["RPTBLOCKED"] = "Bloqué"
L["RPTBLOCKEDD"] = "Total des répétitions bloquées"
-- L["RPTBYPASS"] = ""
-- L["RPTBYPASSD"] = ""
L["RPTENABLE"] = "Activer le contrôle des répétitions."
L["RPTENABLED"] = "Activer ou Désactiver le contrôle des répétitions"
L["RPTRESET"] = "Réinitialiser"
L["RPTRESETD"] = "Réinitialiser le comptage de répétition"
-- L["RPTRS"] = ""
-- L["RPTRSD"] = ""
-- L["RPTRT"] = ""
-- L["RPTRTD"] = ""
-- L["RPTRTSU"] = ""
-- L["RPTTC"] = ""
-- L["RPTTS"] = ""
-- L["RPTTT"] = ""
-- L["RPTTTD"] = ""
L["RPTU"] = "Si le message est répété X fois en Y secondes, alors filtrer."
L["RSF"] = "Filtres Spéciaux Remis"
L["RTF"] = "Réinitialiser les filtres du commerce"
L["RUI"] = "Relancer l'interface"
L["RUID"] = "Relancer l'interface pour que les changements soient activés"
-- L["RWLS"] = ""
L["Redir"] = "Redirige les spams"
-- L["RedirBL"] = ""
L["RedirDesc"] = "Rediriger les spams du canal Commerce vers le canal SPAM"
L["SAYC"] = "Filtre du canal Dire"
L["SAYCD"] = "Sélectionner pour appliquer le filtre au canal Dire"
-- L["SECPSD"] = ""
L["SPCS"] = "Sélection spéciale d'un canal"
-- L["SPCST"] = ""
-- L["SPCSTD"] = ""
L["Say/Yell"] = "Dire/Crier"
L["TC"] = "Filtre du canal Commerce"
L["TCD"] = "Sélectionner pour appliquer le filtre au canal Commerce"
-- L["TFFR"] = ""
-- L["TFFRC"] = ""
L["TFR"] = "TradeFilter3"
L["TRPT"] = "Temps"
L["TRPTD"] = "Temps requis entre chaque répétitions en secondes."
L["Trade"] = "Commerce"
L["TurnOn"] = "Activer"
L["TurnOnDesc"] = "Activer le filtre des canaux"
-- L["WLE"] = ""
L["YELLC"] = "Filtre du canal Crier"
L["YELLCD"] = "Sélectionner pour appliquer le filtre au canal Crier"
L["bLists"] = "Liste noire"
L["bwLists"] = "Liste noire et blanche" -- Needs review
L["channelGroup"] = "Sélection du canal"
L["debugFrame"] = "DEBUG"
L["listsGD"] = "Ajouter des mots ou des expressions pour gérer vos listes noire et blanche." -- Needs review
L["listsGroup"] = "Listes noire/blanche" -- Needs review
L["redirectFrame"] = "SPAM"
L["repeatFrame"] = "REPETER"
L["wLists"] = "Liste blanche"
--[==[ L[ [=[|cffeda55fRight Click|r to open config GUI.
|cffeda55fLeft Click|r reset repeat count.]=] ] = "" ]==]
L.BLACKLIST = {
	BLIST1 = "%[.*%].*rectum", -- Needs review
	-- BLIST10 = "",
	BLIST2 = "rectum.*%[.*%]",
	BLIST3 = "%[.*%].*anal",
	-- BLIST4 = "",
	-- BLIST5 = "",
	-- BLIST6 = "",
	-- BLIST7 = "",
	-- BLIST8 = "",
	-- BLIST9 = "",
}
L.FILTERS = {
	BASE = {
		-- FILTER1 = "",
		-- FILTER2 = "",
		FILTER3 = "[lL][fF][gG]",
		FILTER4 = "2[vV]2",
		FILTER5 = "3[vV]3",
		FILTER6 = "5[vV]5",
		FILTER7 = "[cC][hH][eE][rR][cC][hH][eE] [dD][pP][sS]",
		FILTER8 = "[cC][hH][eE][rR][cC][hH][eE] [tT][aA][nN][kK]",
		FILTER9 = "[cC][hH][eE][rR][cC][hH][eE] [sS][oO][iI][gG][nN][eE][uU][rR]",
	},
	BG = {
		-- FILTER1 = "",
		-- FILTER10 = "",
		-- FILTER11 = "",
		-- FILTER12 = "",
		-- FILTER13 = "",
		-- FILTER14 = "",
		-- FILTER15 = "",
		-- FILTER16 = "",
		-- FILTER17 = "",
		-- FILTER18 = "",
		-- FILTER19 = "",
		-- FILTER2 = "",
		-- FILTER20 = "",
		-- FILTER21 = "",
		-- FILTER22 = "",
		-- FILTER3 = "",
		-- FILTER4 = "",
		-- FILTER5 = "",
		-- FILTER6 = "",
		-- FILTER7 = "",
		-- FILTER8 = "",
		-- FILTER9 = "",
	},
	SPECIAL = {
		-- FILTER1 = "",
		-- FILTER2 = "",
	},
	TRADE = {
		FILTER1 = "[aA][cC][hH][èE][tT][eE]",
		FILTER10 = "[cC][hH][eE][rR][cC][hH][eE] [pP][oO][rR][tT][aA][iI][lL]",
		-- FILTER2 = "",
		-- FILTER3 = "",
		FILTER4 = "[cC][hH][eE][rR][cC][hH][eE] [eE][nN][cC][hH][aA][nN][tT][eE][mM][eE][nN][tT]",
		-- FILTER5 = "",
		FILTER6 = "HV",
		-- FILTER7 = "",
		-- FILTER8 = "",
		FILTER9 = "[vV][eE][nN][tT][eE]",
	},
}
L.TOC = {
	Notes = "Filtre le canal Commerce des commentaires hors charte", -- Needs review
	Title = "TradeFilter3",
}
L.WHITELIST = {
	WLIST1 = "enchantement:%d+[^%a%d]",
	WLIST2 = "objet:%d+[^%a%d]",
	WLIST3 = "sort:%d+[^%a%d]",
	WLIST4 = "commerce:%d+[^%a%d]",
	-- WLIST5 = "",
	-- WLIST6 = "",
}

if GetLocale() == "frFR" then return end
end

local L =  LibStub("AceLocale-3.0"):NewLocale("TradeFilter3", "ruRU")
if L then
-- L[" Repeats Blocked"] = ""
-- L["#RPT"] = ""
-- L["#RPTD"] = ""
-- L["0 Repeats Blocked"] = ""
-- L["BCF"] = ""
-- L["BCFD"] = ""
-- L["BG"] = ""
-- L["BGC"] = ""
-- L["BGCD"] = ""
-- L["BGD"] = ""
-- L["BLBYPASS"] = ""
-- L["BLBYPASSD"] = ""
-- L["BLE"] = ""
-- L["BTF"] = ""
-- L["BTFD"] = ""
-- L["CEPM"] = ""
L["CFM"] = "Проверка соответствия"
-- L["Current Exempt List"] = ""
-- L["DEBUGGING"] = ""
-- L["DISABLED"] = ""
-- L["DUEL_WINNER_KNOCKOUT"] = ""
-- L["DUEL_WINNER_RETREAT"] = ""
L["Debug"] = "Отладка"
-- L["DebugChecking"] = ""
-- L["DebugCheckingD"] = ""
L["DebugDesc"] = "Выводить отладочные сообщения в канал \"ОТЛАДКА\""
L["EBL"] = "Редактировать Чёрный список"
-- L["ENABLED"] = ""
L["EWL"] = "Редактировать Белый список"
-- L["EditFilter"] = ""
-- L["EditFilterD"] = ""
-- L["EditFilterGD"] = ""
L["EditFilterGroup"] = "Редактировать индивидуальные фильтры"
-- L["EditFilterUsage"] = ""
-- L["EditLists"] = ""
-- L["Exempt Friend List"] = ""
-- L["Exempt List"] = ""
-- L["Exempt Party Members"] = ""
-- L["FADD"] = ""
L["FDS"] = "Фильтровать дуэльный спам"
L["FDSD"] = "Фильтровать дуэльный спам"
-- L["FREM"] = ""
L["FSELF"] = "Фильтровать себя"
L["FSELFD"] = "Фильтровать себя? Может быть использовано для теста фильтров. TRUE = фразы игрока подвергаются фильтрованию, FALSE = фразы игрока не фильтруется и пропускаются без изменений."
-- L["GAC"] = ""
-- L["GACD"] = ""
L["GC"] = "Фильтр главного канала"
L["GCD"] = "Выберите это, чтобы применить фильтр к главному каналу"
-- L["General"] = ""
-- L["INPUSAGE"] = ""
L["LFG"] = "ЛФГ"
L["LFGC"] = "Фильтр LFG канала"
L["LFGCD"] = "Выберите это, чтобы применить фильтр к каналу LFG "
-- L["LOADED"] = ""
-- L["MATCHED"] = ""
-- L["NJAOF"] = ""
-- L["NOMATCH"] = ""
-- L["OUTPUT"] = ""
-- L["PADD"] = ""
L["Profiles"] = "Профили"
-- L["RBF"] = ""
L["RBLS"] = "Сбросить Чёрный список"
-- L["RBWL"] = ""
-- L["REPEAT"] = ""
-- L["RLS"] = ""
L["RMVRT1"] = "Удалено"
-- L["RMVRT2"] = ""
-- L["RPTA"] = ""
-- L["RPTAD"] = ""
L["RPTBLOCKED"] = "Заблокировано"
L["RPTBLOCKEDD"] = "Всего повторений заблокировано"
-- L["RPTBYPASS"] = ""
-- L["RPTBYPASSD"] = ""
-- L["RPTENABLE"] = ""
-- L["RPTENABLED"] = ""
-- L["RPTRESET"] = ""
L["RPTRESETD"] = "Сброс счётчика повторов"
-- L["RPTRS"] = ""
-- L["RPTRSD"] = ""
-- L["RPTRT"] = ""
-- L["RPTRTD"] = ""
-- L["RPTRTSU"] = ""
-- L["RPTTC"] = ""
-- L["RPTTS"] = ""
-- L["RPTTT"] = ""
-- L["RPTTTD"] = ""
-- L["RPTU"] = ""
L["RSF"] = "Сбросить специальные фильтры"
-- L["RTF"] = ""
L["RUI"] = "Перезагрузить ПИ"
L["RUID"] = "Перезагрузите Пользовательский интерфейс(ПИ), чтобы изменения вступили в силу"
L["RWLS"] = "Сбросить Белый список"
L["Redir"] = "Перенаправить СПАМ"
-- L["RedirBL"] = ""
L["RedirDesc"] = "Перенаправить Спам торгового канала в канал СПАМ"
L["SAYC"] = "Фильтр канала СКАЗАТЬ"
L["SAYCD"] = "Выберите это, чтобы применить фильтр к каналу СКАЗАТЬ"
L["SECPSD"] = "Секунд прошло"
L["SPCS"] = "Выбор специального канала"
L["SPCST"] = "Специальные каналы"
-- L["SPCSTD"] = ""
-- L["Say/Yell"] = ""
L["TC"] = "Фильтр канала ТОРГОВЛЯ"
L["TCD"] = "Выберите это, чтобы применить фильтр к каналу ТОРГОВЛЯ"
-- L["TFFR"] = ""
-- L["TFFRC"] = ""
L["TFR"] = "ТорговыйФильтр3"
-- L["TRPT"] = ""
-- L["TRPTD"] = ""
-- L["Trade"] = ""
L["TurnOn"] = "Включить"
L["TurnOnDesc"] = "Включить фильтр канала ТОРГОВЛЯ"
-- L["WLE"] = ""
L["YELLC"] = "Фильтр канала КРИК"
L["YELLCD"] = "Выбрать для применения фильтра к каналу КРИК"
L["bLists"] = "Чёрный список"
-- L["bwLists"] = ""
L["channelGroup"] = "Выбор каналов"
-- L["debugFrame"] = ""
L["listsGD"] = "Добавить слова или выражения в Чёрный/Белый список"
L["listsGroup"] = "Чёрный/Белый список"
-- L["redirectFrame"] = ""
-- L["repeatFrame"] = ""
L["wLists"] = "Белый список"
--[==[ L[ [=[|cffeda55fRight Click|r to open config GUI.
|cffeda55fLeft Click|r reset repeat count.]=] ] = "" ]==]
L.BLACKLIST = {
	-- BLIST1 = "",
	-- BLIST10 = "",
	-- BLIST2 = "",
	BLIST3 = " %[.*%].*анус",
	BLIST4 = "анус.*%[.*%]",
	-- BLIST5 = "",
	-- BLIST6 = "",
	-- BLIST7 = "",
	-- BLIST8 = "",
	-- BLIST9 = "",
}
L.FILTERS = {
	BASE = {
		-- FILTER1 = "",
		-- FILTER2 = "",
		-- FILTER3 = "",
		-- FILTER4 = "",
		-- FILTER5 = "",
		-- FILTER6 = "",
		-- FILTER7 = "",
		FILTER8 = "[лЛ][фФ] [тТ][аА][нН][кК]",
		FILTER9 = "[лЛ][фФ] [хХ][иИ][лЛ]",
	},
	BG = {
		-- FILTER1 = "",
		-- FILTER10 = "",
		-- FILTER11 = "",
		-- FILTER12 = "",
		-- FILTER13 = "",
		-- FILTER14 = "",
		-- FILTER15 = "",
		-- FILTER16 = "",
		-- FILTER17 = "",
		-- FILTER18 = "",
		-- FILTER19 = "",
		-- FILTER2 = "",
		-- FILTER20 = "",
		-- FILTER21 = "",
		-- FILTER22 = "",
		-- FILTER3 = "",
		-- FILTER4 = "",
		-- FILTER5 = "",
		-- FILTER6 = "",
		-- FILTER7 = "",
		-- FILTER8 = "",
		-- FILTER9 = "",
	},
	SPECIAL = {
		-- FILTER1 = "",
		-- FILTER2 = "",
	},
	TRADE = {
		FILTER1 = " [кК][уУ][пП][лЛ][юЮ]",
		FILTER10 = " [лЛ][фФ] [пП][оО][рР][тТ]",
		-- FILTER2 = "",
		-- FILTER3 = "",
		FILTER4 = " [лЛ][фФ] [эЭ][нН][чЧ][аА][нН][тТ]",
		-- FILTER5 = "",
		FILTER6 = "АХ",
		FILTER7 = "Ищу работу",
		-- FILTER8 = "",
		-- FILTER9 = "",
	},
}
L.TOC = {
	-- Notes = "",
	-- Title = "",
}
L.WHITELIST = {
	-- WLIST1 = "",
	-- WLIST2 = "",
	-- WLIST3 = "",
	-- WLIST4 = "",
	-- WLIST5 = "",
	-- WLIST6 = "",
}

if GetLocale() == "ruRU" then return end
end
